Bug 147663 - lsusb hangs when using an Intelligent Stick
lsusb hangs when using an Intelligent Stick
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-10 01:38 EST by Carlos Daniel Ruvalcaba Valenzuela
Modified: 2015-01-04 17:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:45:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos Daniel Ruvalcaba Valenzuela 2005-02-10 01:38:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
lsusb and many usb/mass storage related utilities choke and hangs when
trying to use an Intelligent Stick (I-Stick) USB Drive.

For example, I connnect the drive, nothing happends, go to console to
see if is at least detected, run lsusb, list only one of my usb
attached devices, and then hang forever.

There is no way to kill or terminate the process, unless I reboot.

I already loaded all relevant usb, such as usb-storage and uhci and
others, also sd_mod, sg, all already inserted and retried the
operation with lsusb with each one being loaded to test if it makes a
difference, but still same results.

Is probably a problem on the usb subsystem on the kernel, as even proc
output hangs (cat /proc/bus/usb/devices or cat /proc/scsi/scsi),
altough cat /proc/scsi/usb-storage/0 gives the following output:

   Host scsi0: usb-storage
       Vendor: USB
      Product: Flash Disk
Serial Number: 106C1141D0AC7409
     Protocol: Transparent SCSI
    Transport: Bulk
       Quirks:

Version-Release number of selected component (if applicable):
usbutils-0.11-6.1

How reproducible:
Always

Steps to Reproduce:
1.Insert Intellient Stick to usb
2.Run lsusb
    

Actual Results:  lsusb hanged forever

Expected Results:  lsusb whould list the memory stick device, or at
least not hang.

Additional info:
Comment 1 Thomas Woerner 2005-02-10 06:27:42 EST
This is a kernel usb problem.
Assinging to kernel.
Comment 2 Dave Jones 2005-02-23 23:34:50 EST
is this still occuring with the 766 kernel update ?
Comment 3 Dave Jones 2005-07-15 14:19:30 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Dave Jones 2005-10-02 20:45:05 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.